using Fiesta.Login.Worlds.Networking.PacketTypes;
using Fiesta.Networking.Packets;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Login.Worlds.Networking.Packets.Misc.Out
{
	[PacketType(MISC.WORLD_TRANSFER)]
	public class WorldTransfer : OutPacket
	{
		public enum Reason : byte
		{
			Unknown = 0x00,
			WorldIDAlreadyConnected = 0x01
		}

		public WorldTransfer(string guid, UInt32 userID) : base()
		{
			WriteString(guid, 32);
			WriteUInt32(userID);
		}
	}
}